# POST /control/v1/deployments

> CreateDeployment

- `operationId`: `ControlV1DeploymentsCreateDeployment`
- Group: [Deployments](https://sference.com/docs/api-reference/deployments.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/deployments/ControlV1DeploymentsCreateDeployment

## Request body (required)

Content type `application/json`. Schema: `DeploymentCreateRequest`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `name` | string | yes | — | — |
| `model_source` | string | yes | enum: platform | custom | — |
| `model_id` | string | yes | — | — |
| `region` | string | no | enum: emea | global, default `"emea"` | — |
| `performance` | string | no | enum: cost_saving | standard | turbo, default `"standard"` | — |
| `min_replicas` | integer | no | min 0, max 1000, default `0` | — |
| `max_replicas` | integer | no | min 0, max 1000, default `1` | — |
| `notes` | string \| null | no | — | — |

## Responses

### `201` — Document created, URL follows

Schema: `DeploymentResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `id` | string | yes | uuid | — |
| `name` | string | yes | — | — |
| `model_source` | string | yes | enum: platform | custom | — |
| `model_id` | string | yes | — | — |
| `region` | string | yes | — | — |
| `performance` | string | yes | enum: cost_saving | standard | turbo | — |
| `min_replicas` | integer | yes | — | — |
| `max_replicas` | integer | yes | — | — |
| `notes` | string \| null | no | — | — |
| `status` | string | yes | enum: pending_deploy | deploying | available | rejected | failed | — |
| `status_reason` | string \| null | no | — | — |
| `activated_at` | string \| null | no | — | — |
| `created_at` | string | yes | date-time | — |
| `updated_at` | string | yes | date-time | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/deployments/ControlV1DeploymentsCreateDeployment
